if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:stuff_general()
	end
		
	function WeaponFactoryTweakData:stuff_general()
	



table.list_append(self.wpn_fps_ass_asval.uses_parts, {
"wpn_fps_upg_ak_s_solidstock"
})

table.list_append(self.wpn_fps_ass_flint.uses_parts, {
"wpn_upg_ak_s_folding", "wpn_upg_ak_s_skfoldable", "wpn_fps_upg_ak_s_solidstock", "wpn_upg_ak_s_psl"
})

table.list_append(self.wpn_fps_smg_coal.uses_parts, {
"wpn_upg_ak_s_folding", "wpn_upg_ak_s_skfoldable", "wpn_fps_upg_ak_s_solidstock", "wpn_upg_ak_s_psl"
})

table.list_append(self.wpn_fps_ass_amcar.uses_parts, {
"wpn_fps_m4_uupg_fg_lr300", "wpn_fps_upg_ass_m4_fg_lvoa", "wpn_fps_upg_ass_m4_fg_moe", "wpn_fps_upg_fg_jp", "wpn_fps_upg_fg_smr", "wpn_fps_upg_m4_m_pmag", "wpn_fps_ass_l85a2_m_emag", "wpn_fps_upg_m4_g_ergo", "wpn_fps_upg_m4_g_sniper", "wpn_fps_upg_m4_g_mgrip", "wpn_fps_upg_m4_g_hgrip", "wpn_fps_upg_m4_s_pts"
})

table.list_append(self.wpn_fps_ass_m4.uses_parts, {
"wpn_fps_upg_o_leupold"
})

table.list_append(self.wpn_fps_ass_akm.uses_parts, {
"wpn_fps_upg_o_leupold"
})

table.list_append(self.wpn_fps_ass_akm_gold.uses_parts, {
"wpn_fps_upg_o_leupold"
})

table.list_append(self.wpn_fps_ass_m16.uses_parts, {
"wpn_fps_upg_o_leupold"
})

table.list_append(self.wpn_fps_ass_m14.uses_parts, {
"wpn_fps_upg_o_leupold"
})

table.list_append(self.wpn_fps_ass_aug.uses_parts, {
"wpn_fps_upg_m4_m_pmag"
})

table.list_append(self.wpn_fps_ass_galil.uses_parts, {
"wpn_fps_m4_uupg_m_std"
})

















--Weapon Mod STATS (moved here as of 6/6/16)

--individual weapon's mods

self.wpn_fps_ass_asval.override = {}
self.wpn_fps_ass_asval.override.wpn_fps_upg_i_singlefire = {
stats = { value = 1, damage = 80, recoil = -3, spread = 6, extra_ammo = -5 }
}

self.wpn_fps_ass_galil.override = {}
self.wpn_fps_ass_galil.override.wpn_fps_m4_uupg_m_std = {
stats = { value = 1, damage = -20, recoil = 3, spread = -3, extra_ammo = 5 }
}



-- AMMO

self.parts.wpn_fps_upg_a_slug.stats = { value = 5, total_ammo_mod = 0, damage = 25, spread = 10, moving_spread = -4, recoil = -4 }
self.parts.wpn_fps_upg_a_explosive.stats = { value = 5, total_ammo_mod = 0, damage = 50, spread = 2, moving_spread = 1, recoil = -1 }
self.parts.wpn_fps_upg_a_piercing.stats = { value = 5, total_ammo_mod = 0, damage = -10, spread = 5, moving_spread = 2, recoil = 3 }
self.parts.wpn_fps_upg_a_dragons_breath.stats = { value = 5, total_ammo_mod = 0, damage = -1, spread = -2, moving_spread = 0, recoil = -1 }
self.parts.wpn_fps_upg_a_custom.stats = { value = 5, total_ammo_mod = 0, damage = 15, spread = -2, moving_spread = 0, recoil = -1 }
self.parts.wpn_fps_upg_a_custom_free.stats = { value = 5, total_ammo_mod = 0, damage = 10, spread = -1, moving_spread = 0, recoil = -1 }

--GRIPS
self.parts.wpn_fps_upg_m4_g_sniper.stats = { value = 2, spread = 2, recoil = 0, concealment = -1 }

-- BARRELS
self.parts.wpn_fps_smg_sterling_b_long.stats = {value = 2, damage = 50, extra_ammo = 0, total_ammo_mod = -16, spread = 5, recoil = -15, concealment = -3}
self.parts.wpn_fps_smg_sterling_b_suppressed.stats = {value = 2, damage = -1, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = 0}
self.parts.wpn_fps_smg_sterling_b_e11.stats = {value = 2, damage = 10, extra_ammo = 0, total_ammo_mod = 0, spread = 2, recoil = -3, concealment = -1}
self.parts.wpn_fps_smg_sterling_b_short.stats = {value = 2, damage = -1, extra_ammo = 0, total_ammo_mod = 0, spread = -1, recoil = -1, concealment = 2}

self.parts.wpn_fps_upg_ass_ak_b_zastava.stats = {value = 2, damage = 60, extra_ammo = -5, total_ammo_mod = -10, spread = 10, recoil = -10, concealment = -3}
self.parts.wpn_fps_upg_ass_m4_b_beowulf.stats = {value = 2, damage = 75, extra_ammo = -5, total_ammo_mod = -10, spread = 10, recoil = -10, concealment = -3}

self.parts.wpn_fps_ass_famas_b_sniper.stats = {value = 2, damage = 80, extra_ammo = -5, total_ammo_mod = -10, spread = 12, recoil = -12, concealment = -3}
self.parts.wpn_fps_ass_famas_b_suppressed.stats = {value = 2, damage = -1, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = 0}
self.parts.wpn_fps_ass_famas_b_long.stats = {value = 2, damage = 1, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = -1}
self.parts.wpn_fps_ass_famas_b_short.stats = {value = 2, damage = -1, extra_ammo = 0, total_ammo_mod = 0, spread = -1, recoil = -1, concealment = 2}

self.parts.wpn_fps_ass_galil_fg_sniper.stats = {value = 2, damage = 60, extra_ammo = -5, total_ammo_mod = -10, spread = 8, recoil = -8, concealment = -3}
self.parts.wpn_fps_ass_galil_fg_sar.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 2, concealment = 0}
self.parts.wpn_fps_ass_galil_fg_fab.stats = {value = 2, damage = 2, extra_ammo = 0, total_ammo_mod = 0, spread = 2, recoil = 1, concealment = -1}
self.parts.wpn_fps_ass_galil_fg_mar.stats = {value = 2, damage = -2, extra_ammo = 0, total_ammo_mod = 0, spread = -2, recoil = -1, concealment = 2}

self.parts.wpn_fps_ass_scar_b_long.stats = {value = 2, damage = 40, extra_ammo = 0, total_ammo_mod = -8, spread = 3, recoil = -3, concealment = 0}
self.parts.wpn_fps_ass_scar_b_short.stats = {value = 2, damage = -40, extra_ammo = 5, total_ammo_mod = 10, spread = -2, recoil = 2, concealment = 2}

self.parts.wpn_fps_ass_fal_fg_wood.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = 0, recoil = 1, concealment = -1}
self.parts.wpn_fps_ass_fal_fg_01.stats = {value = 2, damage = -5, extra_ammo = 0, total_ammo_mod = 4, spread = -2, recoil = 1, concealment = 2}
self.parts.wpn_fps_ass_fal_fg_03.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 0, concealment = -1}
self.parts.wpn_fps_ass_fal_fg_04.stats = {value = 2, damage = 40, extra_ammo = -5, total_ammo_mod = -8, spread = 3, recoil = -3, concealment = -2}

self.parts.wpn_fps_ass_g3_fg_psg.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = 2, recoil = -2, concealment = -2}
self.parts.wpn_fps_ass_g3_fg_retro.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = -2, recoil = 2, concealment = -2}
self.parts.wpn_fps_ass_g3_fg_retro_plastic.stats = {value = 2, damage = 0, extra_ammo = 0, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = -1}
self.parts.wpn_fps_ass_g3_b_short.stats = {value = 2, damage = -40, extra_ammo = 5, total_ammo_mod = 8, spread = -2, recoil = 2, concealment = 1}
self.parts.wpn_fps_ass_g3_b_sniper.stats = {value = 2, damage = 40, extra_ammo = -5, total_ammo_mod = -8, spread = 2, recoil = -2, concealment = -1}

self.parts.wpn_fps_upg_ak_b_draco.stats = {value = 2, damage = 5, extra_ammo = 0, total_ammo_mod = 0, spread = -2, recoil = 1, concealment = 2}
self.parts.wpn_fps_upg_ak_b_ak105.stats = {value = 2, damage = -5, extra_ammo = 0, total_ammo_mod = 0, spread = -1, recoil = 0, concealment = 2}

--MAGAZINES
self.parts.wpn_fps_sho_b_spas12_long.stats = { value = 2, extra_ammo = 1, total_ammo_mod = 0, recoil = 0, concealment = -1 }
self.parts.wpn_fps_shot_r870_body_rack.stats = { value = 2, extra_ammo = 0, total_ammo_mod = 2, recoil = 0, concealment = -1 }

self.parts.wpn_fps_upg_m4_m_quad.stats = { value = 1, extra_ammo = 15, total_ammo_mod = 0, concealment = -2}
self.parts.wpn_fps_upg_m4_m_drum.stats = { value = 1, extra_ammo = 30, total_ammo_mod = 0, concealment = -3}
self.parts.wpn_fps_m4_uupg_m_std.stats = { value = 1, extra_ammo = 5, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = -1}
self.parts.wpn_fps_upg_m4_m_straight.stats = { value = 2, extra_ammo = -5, total_ammo_mod = 0, spread = 1, recoil = 1, concealment = 1 }
self.parts.wpn_fps_upg_m4_m_pmag.stats = { value = 1, extra_ammo = 6, total_ammo_mod = 0, spread = -1 }
self.parts.wpn_fps_upg_m4_m_l5.stats = { value = 2, extra_ammo = 0, total_ammo_mod = 0, spread = 2, concealment = 1 }
self.parts.wpn_fps_ass_l85a2_m_emag.stats = { value = 2, extra_ammo = 0, total_ammo_mod = 0, recoil = 2, concealment = -1 }

self.parts.wpn_fps_smg_sterling_m_long.stats = { value = 2, extra_ammo = 8, total_ammo_mod = 2, recoil = 0, concealment = -1 }
self.parts.wpn_fps_smg_sterling_m_short.stats = { value = 2, extra_ammo = -8, total_ammo_mod = 0, recoil = 0, concealment = 1 }

self.parts.wpn_fps_smg_mp7_m_extended.stats = { value = 2, extra_ammo = 10, total_ammo_mod = 0, spread = 0, concealment = -3}
self.parts.wpn_fps_smg_mp9_m_extended.stats = { value = 2, extra_ammo = 5, total_ammo_mod = 0, spread = 0, concealment = -2}
self.parts.wpn_fps_smg_mac10_m_extended.stats = { value = 2, extra_ammo = 5, total_ammo_mod = 0, spread = 0, concealment = -2}

--HANDGUARDS
self.parts.wpn_upg_ak_fg_combo2.stats = { value = 2, spread = 1, recoil = 0, concealment = -1 }
self.parts.wpn_upg_ak_fg_combo3.stats = { value = 2, spread = 0, recoil = 1, concealment = -1 }
self.parts.wpn_fps_upg_ak_fg_tapco.stats = { value = 2, spread = 1, recoil = 1, concealment = -2 }
self.parts.wpn_fps_upg_fg_midwest.stats = { value = 2, spread = 2, recoil = -1, concealment = 1 }
self.parts.wpn_fps_upg_ak_fg_krebs.stats = { value = 2, spread = -1, recoil = 2, concealment = 1 }
self.parts.wpn_fps_upg_ak_fg_trax.stats = { value = 2, spread = 3, recoil = -1, concealment = -2 }

self.parts.wpn_fps_upg_fg_jp.stats = { value = 2, spread = 2, recoil = -1, concealment = 2 }
self.parts.wpn_fps_upg_fg_smr.stats = { value = 2, spread = -2, recoil = 4, concealment = -1 }
self.parts.wpn_fps_upg_ass_m4_fg_lvoa.stats = { value = 2, spread = 4, recoil = -2, concealment = -1 }
self.parts.wpn_fps_upg_ass_m4_fg_moe.stats = { value = 2, spread = -1, recoil = 2, concealment = 2 }

self.parts.wpn_fps_smg_olympic_fg_railed.stats = { value = 2, spread = 0, recoil = 1, concealment = -1 }
self.parts.wpn_fps_upg_smg_olympic_fg_lr300.stats = { value = 2, spread = 1, recoil = 0, concealment = -1 }

self.parts.wpn_fps_m16_fg_railed.stats = { value = 2, spread = 0, recoil = 2, concealment = 0 }
self.parts.wpn_fps_m16_fg_vietnam.stats = { value = 2, spread = 2, recoil = 0, concealment = 1 }
self.parts.wpn_fps_upg_ass_m16_fg_stag.stats = { value = 2, spread = 1, recoil = 1, concealment = -1 }

self.parts.wpn_fps_ass_g3_fg_psg.stats = { value = 2, spread = 3, recoil = -1, concealment = -2 }
self.parts.wpn_fps_ass_g3_fg_retro.stats = { value = 2, spread = 0, recoil = 2, concealment = -1 }
self.parts.wpn_fps_ass_g3_fg_retro_plastic.stats = { value = 2, spread = 1, recoil = 1, concealment = 0 }
self.parts.wpn_fps_ass_g3_fg_railed.stats = { value = 2, spread = 2, recoil = 0, concealment = 1 }

--NOZZLES
self.parts.wpn_fps_upg_ns_ass_smg_stubby.stats = { value = 2, damage = 4, spread = 1, recoil = 0, concealment = 0 }
self.parts.wpn_fps_upg_ns_ass_smg_tank.stats = { value = 2, damage = 4, spread = 0, recoil = 1, concealment = -1 }
self.parts.wpn_fps_upg_ns_ass_smg_firepig.stats = { value = 2, damage = 1, spread = 1, recoil = 1, concealment = -1 }

self.parts.wpn_fps_upg_ass_ns_jprifles.stats = { value = 0, damage = 2, spread = -1, recoil = 2, concealment = -1 }
self.parts.wpn_fps_upg_ass_ns_linear.stats = { value = 0, damage = 8, spread = -1, recoil = -1, concealment = -2 }
self.parts.wpn_fps_upg_ass_ns_surefire.stats = { value = 0, damage = 2, spread = 2, recoil = -1, concealment = -1 }

self.parts.wpn_fps_upg_ass_ns_battle.stats = { value = 0, damage = -1, spread = 2, recoil = 2, concealment = -1 }

self.parts.wpn_fps_ass_tecci_ns_special.stats = { value = 0, damage = 4, spread = -2, recoil = 1, concealment = -2 }

self.parts.wpn_fps_pis_c96_nozzle.stats = { value = 0, damage = 50, spread = -5, recoil = 1, concealment = -2 }

--OPTICS
self.parts.wpn_fps_upg_o_aimpoint.stats = {zoom = 8, value = 1, damage = 0, recoil = 1, spread = 0, concealment = -2 }

--GADGETS
self.parts.wpn_fps_upg_fl_ass_peq15.stats = { value = 2, spread = 1, recoil = 1, concealment = -1 }
self.parts.wpn_fps_upg_fl_pis_laser.stats = { value = 2, spread = 1, recoil = 0, concealment = -1 }

--STOCKS
self.parts.wpn_fps_upg_m4_s_standard.stats = { value = 2, spread = 0, recoil = 1, concealment = 0 }
self.parts.wpn_fps_upg_m4_s_crane.stats = { value = 2, spread = 1, recoil = 0, concealment = 0 }
self.parts.wpn_fps_upg_m4_s_mk46.stats = { value = 2, spread = 1, recoil = 1, concealment = -1 }
self.parts.wpn_fps_upg_m4_s_ubr.stats = { value = 2, spread = 2, recoil = -1, concealment = -1 }

self.parts.wpn_fps_shot_r870_s_nostock.stats = { value = 2, spread = 0, recoil = -4, concealment = 3 }
self.parts.wpn_fps_shot_r870_s_nostock_big.stats = { value = 2, spread = 0, recoil = -3, concealment = 2 }












-- Scope Data

self.wpn_fps_ass_m14.override = {}
self.wpn_fps_ass_m14.override.wpn_fps_snp_mosin_iron_sight = {
a_obj = "a_o",
stats = { zoom = 1, value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 0 }
}
self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_ass_m14 = { translation = Vector3(0.0, -40, -4.65) }

self.parts.wpn_fps_upg_o_m14_scopemount.override = {
	wpn_fps_upg_o_eotech_xps = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -11, -5.15)
			}
		}
	},
	wpn_fps_upg_o_aimpoint = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -11, -5.15) + Vector3(0, 2, 0)
			}
		}
	},
	wpn_fps_upg_o_specter = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -11, -5.15) + Vector3(0, 4, 0)
			}
		}
	},		
	wpn_fps_extra_zoom = {
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -11, -5.15) + Vector3(0, 0, -3.15)
			}
		}
	},
	wpn_fps_upg_o_acog = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -11, -5.15) + Vector3(0, 6, 0)
			}
		}
	},
	wpn_fps_upg_o_mbus_rear = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.0525, -21.5, -5.915)
			}
		}
	},
	wpn_fps_upg_o_leupold = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(0.05, -26.5, -6.02)
			}
		}
	},		
	wpn_fps_upg_o_45iron = {
		a_obj = "a_o_sm",
		stance_mod = {
			wpn_fps_ass_m14 = {
				translation = Vector3(-1.35, 10, -15),
				rotation = Rotation(0, 0.2, -45) 
			}
		}
	},
	wpn_fps_upg_o_docter = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_eotech_xps),
	
	wpn_fps_upg_o_eotech = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
	
	wpn_fps_upg_o_t1micro = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_eotech_xps),
	
	wpn_fps_upg_o_cmore = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
	
	wpn_fps_upg_o_aimpoint_2 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
	
	wpn_fps_upg_o_cs = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
	
	wpn_fps_upg_o_reflex = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
	
	wpn_fps_upg_o_rx01 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_eotech_xps),

	wpn_fps_upg_o_rx30 = deep_clone(self.parts.wpn_fps_upg_o_m14_scopemount.override.wpn_fps_upg_o_aimpoint),
}



self.wpn_fps_ass_akm.override = {}
self.wpn_fps_ass_akm.override.wpn_fps_upg_o_leupold = {
a_obj = "a_o_sm",
stats = { zoom = 10, value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 0 }
}
self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_ass_akm = { translation = Vector3(0.0, -40, -4) }



self.wpn_fps_ass_akm_gold.override = {}
self.wpn_fps_ass_akm_gold.override.wpn_fps_upg_o_leupold = {
a_obj = "a_o_sm",
stats = { zoom = 10, value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 0 }
}
self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_ass_akm_gold = { translation = Vector3(0.0, -20, -5.5) }





self.wpn_fps_ass_amcar.override = {}
self.wpn_fps_ass_amcar.override.wpn_fps_upg_m4_m_pmag = {
stats = {  value = 1, damage = 0, recoil = -1, spread = -1, extra_ammo = 16 }
}
self.wpn_fps_ass_amcar.override.wpn_fps_ass_l85a2_m_emag = {
stats = {  value = 1, damage = 0, recoil = 0, spread = 2, extra_ammo = 5 }
}
self.wpn_fps_ass_amcar.override.wpn_fps_upg_m4_m_l5 = {
stats = {  value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 5 }
}
self.wpn_fps_ass_amcar.override.wpn_fps_upg_m4_m_drum = {
stats = { value = 1, extra_ammo = 40, total_ammo_mod = 0, concealment = -3}
}
self.wpn_fps_ass_amcar.override.wpn_fps_upg_m4_m_quad = {
stats = { value = 1, extra_ammo = 20, total_ammo_mod = 0, concealment = -2}
}



self.wpn_fps_smg_olympic.override = {}
self.wpn_fps_smg_olympic.override.wpn_fps_upg_m4_m_pmag = {
stats = {  value = 1, damage = 0, recoil = -1, spread = -1, extra_ammo = 16 }
}
self.wpn_fps_smg_olympic.override.wpn_fps_ass_l85a2_m_emag = {
stats = {  value = 1, damage = 0, recoil = 0, spread = 2, extra_ammo = 5 }
}
self.wpn_fps_smg_olympic.override.wpn_fps_upg_m4_m_l5 = {
stats = {  value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 5 }
}
self.wpn_fps_smg_olympic.override.wpn_fps_upg_m4_m_drum = {
stats = { value = 1, extra_ammo = 40, total_ammo_mod = 0, concealment = -3}
}
self.wpn_fps_smg_olympic.override.wpn_fps_upg_m4_m_quad = {
stats = { value = 1, extra_ammo = 20, total_ammo_mod = 0, concealment = -2}
}



self.wpn_fps_ass_m16.override = {}
self.wpn_fps_ass_m16.override.wpn_fps_upg_o_leupold = {
a_obj = "a_o",
stats = { zoom = 10, value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 0 }
}
self.wpn_fps_ass_m16.override.wpn_fps_upg_m4_m_pmag = {
stats = { value = 1, damage = 0, recoil = -1, spread = -1, extra_ammo = 16 }
}
self.wpn_fps_ass_m16.override.wpn_fps_ass_l85a2_m_emag = {
stats = { value = 1, damage = 0, recoil = 0, spread = 2, extra_ammo = 5 }
}
self.wpn_fps_ass_m16.override.wpn_fps_upg_m4_m_l5 = {
stats = { value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 5 }
}
self.wpn_fps_ass_m16.override.wpn_fps_upg_m4_m_drum = {
stats = { value = 1, extra_ammo = 40, total_ammo_mod = 0, concealment = -3}
}
self.wpn_fps_ass_m16.override.wpn_fps_upg_m4_m_quad = {
stats = { value = 1, extra_ammo = 20, total_ammo_mod = 0, concealment = -2}
}
self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_ass_m16 = { translation = Vector3(0, -20, -1.5) }



self.wpn_fps_ass_m4.override = {}
self.wpn_fps_ass_m4.override.wpn_fps_upg_o_leupold = {
a_obj = "a_o",
stats = { zoom = 10, value = 1, damage = 0, recoil = 2, spread = 0, extra_ammo = 0 }
}
self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_ass_m4 = { translation = Vector3(0, -20, -1.5) }
end

end